Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Methods | Inherited Methods | [Expand All]
public final class

# TurnBasedMatchConfig

extends Object

java.lang.Object
↳ | com.google.android.gms.games.multiplayer.turnbased.TurnBasedMatchConfig

## Class Overview

Configuration for creating a new turn-based match.

## Summary

Nested Classes
class | TurnBasedMatchConfig.Builder | Builder class for `TurnBasedMatchConfig`.

Public Methods
static TurnBasedMatchConfig.Builder | builder() Creates a builder for assembling a `TurnBasedMatchConfig`.
static Bundle | createAutoMatchCriteria(int minAutoMatchPlayers, int maxAutoMatchPlayers, long exclusiveBitMask) Creates an auto-match criteria `Bundle`.
Bundle | getAutoMatchCriteria() Retrieves the criteria for auto-matching one or more players for the match.
String[] | getInvitedPlayerIds() Retrieves the player IDs to invite to the match.
int | getMinPlayers() Retrieves the minimum number of players that must be active in the match for the match to continue.
int | getVariant() Retrieves the developer-specified match variant.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public static TurnBasedMatchConfig.Builder builder ()

Creates a builder for assembling a `TurnBasedMatchConfig`.

##### Returns

- An instance of a builder.

#### public static Bundle createAutoMatchCriteria (int minAutoMatchPlayers, int maxAutoMatchPlayers, long exclusiveBitMask)

Creates an auto-match criteria `Bundle`. Can be passed to `createMatch(GoogleApiClient, TurnBasedMatchConfig)` to create a match for a turn-based game.

##### Parameters

minAutoMatchPlayers | min number of auto-matched players.
maxAutoMatchPlayers | max number of auto-matched players.
exclusiveBitMask | exclusive bitmask for exclusive roles for the player. The exclusive bitmask of each pairing of players must equal zero for auto-match.

##### Returns

- bundle of auto-match criteria data.

#### public Bundle getAutoMatchCriteria ()

Retrieves the criteria for auto-matching one or more players for the match.

##### Returns

- The criteria for auto-matching one or more players for the match.

#### public String[] getInvitedPlayerIds ()

Retrieves the player IDs to invite to the match.

##### Returns

- The player IDs to invite to the match.

#### public int getMinPlayers ()

Retrieves the minimum number of players that must be active in the match for the match to continue.

##### Returns

- The minimum number of players that must be active in the match for the match to continue.

#### public int getVariant ()

Retrieves the developer-specified match variant.

##### Returns

- The developer-specified match variant.